跳到主要内容

创建 Spark 回填任务 (V2)

Creates a Spark Backfill job. The project is selected by the projectId path parameter.

POST/v2/projects/{projectId}/jobs/backfill
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

授权令牌。

Idempotency-Keystringheader

用于确保重复创建请求幂等的唯一键。

projectIdstringpath必填项

项目 ID。

请求体
clusterIdstring必填项

目标集群 ID。

dbNamestring必填项

数据库名称。

collectionNamestring必填项

集合名称。

fieldsarray必填项

目标字段。

[]fieldsstring
(待补充)
columnMappingobject必填项

源列到目标列的映射。

modestring必填项

回填模式。

resourceSizestring必填项

Spark 资源规格。

timeoutSecondsinteger<int64>必填项

超时时间(秒)。

响应

Backfill job created.

jobIdstring必填项

任务 ID。

projectIdstring必填项

任务所属的项目 ID。

typestring必填项

任务类型。

descriptionstring

任务描述。

statusstring必填项

任务状态。

regionIdstring必填项

云地域 ID。

clusterIdstring

集群 ID。

createdAtstring

创建时间(ISO 8601)。

startedAtstring

开始时间(ISO 8601)。

finishedAtstring

结束时间(ISO 8601)。

durationSecondsinteger<int64>

持续时间(秒)。

Ctrl I